#
# spec file for package setconf
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           setconf
Version:        0.7.7
Release:        1.10
Summary:        Utility to easily change settings in configuration files
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://setconf.roboticoverlords.org
Source:         https://setconf.roboticoverlords.org/%{name}-%{version}.tar.xz
BuildArch:      noarch

%description
setconf is a small utility that can be used for changing settings in
configuration textfiles.

%prep
%autosetup
gzip -d %{name}.1.gz

%build
# Nothing to build.

%install
# fix E: env-script-interpreter
sed -i 's|/usr/bin/env python|/usr/bin/python3|g' %{name}.py

install -Dpm 0755 %{name}.py %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?%{?ext_man}

%changelog
* Wed Jan 13 2021 Avindra Goolcharan <avindra@opensuse.org>
- Update to version 0.7.7
  * Fix file truncated when no EOL at EOF
- includes 0.7.6
  * allow uncommenting keys without providing a value
- remove copying-fsf.patch (upstreamed)
- fix E: env-script-interpreter
- ran spec-cleaner
* Wed Oct 18 2017 aavindraa@gmail.com
- Update to version 0.7.5
  * Can now uncomment configuration options with the -u flag.
  * Uncommenting and setting values also works on Linux kernel
    configuration (#CONFIG_KERNEL_XY is not set to CONFIG_KERNEL_XY=y).
- Mark python dependency
- Lint spec file
- Add copying-fsf.patch to fix warning about incorrect mailing address
  for the FSF.
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.7.4 (changes since 0.7.2):
  * Add Python 3.5 when testing.
  * Can change single-line #define values by using the -d flag.
  * Correctly formatted help text.
* Sat May  7 2016 sor.alexei@meowr.ru
- Update to version 0.7.2 (changes since 0.6.7):
  * Deal mainly with bytes instead of strings.
  * Handle ISO-8859-1 (Latin1) better, for Python 3.
  * Fix a failing testcase for +=.
  * Fix an issue that only happened on Python 3.2.
  * Remove a dependency on chardet.
  * Several minor changes.
* Wed Jul 15 2015 sor.alexei@meowr.ru
- Update to 0.6.7:
  * Can use floating point numbers together with += and -=.
* Sun Mar  8 2015 sor.alexei@meowr.ru
- Update to 0.6.6 (changes since 0.6.4):
  * Can now use += or -= for increasing or decreasing integer
    values.
  * Fix a problem with files without newline endings.
* Fri Dec 19 2014 sor.alexei@meowr.ru
- Update to 0.6.4:
  * Better error messages when write permissions are denied.
* Mon Oct 20 2014 sor.alexei@meowr.ru
- Update to 0.6.3:
  * Fixed a problem with -a that occurred when a key existed but was commented out
  * Added regression test
* Sun Jul 13 2014 sor.alexei@meowr.ru
- Initial build.
